Subject: Re: [Wireless, ath5k] 2.6.24-git13 9135f1901ee6449dfe338adf6e40e9c2025b8150

From: Jiri Slaby <[email-masked]>
Date: Mon, 04 Feb 2008 23:36:28 +0100

On 02/04/2008 10:52 PM, Dan Williams wrote:
> On Mon, 2008-02-04 at 22:34 +0100, Oliver Pinter wrote:
>> On 2/4/08, Jiri Slaby <[email-masked]> wrote:
>>> On 02/04/2008 03:00 PM, Oliver Pinter (Pintér Olivér) wrote:
>>>> ioctl[SIOCSIWAUTH]: Operation not supported
>>>> WEXT auth param 4 value 0x0 - bind(PF_UNIX): Address already in use
>>> 4 - 0x0 is TKIP, nothing we should worry about.
>>>
>>>> ctrl_iface exists and seems to be in use - cannot override it
>>>> Delete '/var/run/wpa_supplicant/ath0' manually if it is not used anymore
>>>> Failed to initialize control interface '/var/run/wpa_supplicant'.
>>>> You may have another wpa_supplicant process already running or the file
>>> was
>>>> left by an unclean termination of wpa_supplicant in which case you will
>>> need
>>>> to manually remove this file before starting wpa_supplicant again.
>>> Have you?
>> yes

Ok, on one log it can't be bound and connected to, on the others it can be 
bound. I think you have 2 wpa/NM/whatever processes there which try to assign.

> Note that the specific behavior of the process requesting scan results
> can sometimes interact badly with the driver.  The driver most likely
> needs to cope with this (by caching the BSS list internally for example)
> and handle whatever behavior userspace programs throw at it.

The driver doesn't cope with scanning at all. It doesn't support passive scans. 
It's a mac layer who scans (sends probe request for each channel and listens for 
probe response for a while) here.

The scan results as Dan mentioned will be appreciated.